import { api } from '@/services/api';
import { API_BASE_URL, API_VERSION, API_ENDPOINTS } from './api-config';

// Helper function to get full API URL
export const getApiUrl = (endpoint: string): string => {
    return `${API_BASE_URL}/api/${API_VERSION}${endpoint}`;
};

// Helper function to make API calls
export const apiClient = {
    get: (endpoint: string, config = {}) => api.get(getApiUrl(endpoint), config),
    post: (endpoint: string, data = {}, config = {}) => api.post(getApiUrl(endpoint), data, config),
    put: (endpoint: string, data = {}, config = {}) => api.put(getApiUrl(endpoint), data, config),
    patch: (endpoint: string, data = {}, config = {}) => api.patch(getApiUrl(endpoint), data, config),
    delete: (endpoint: string, config = {}) => api.delete(getApiUrl(endpoint), config),
};

export { API_ENDPOINTS }; 